/* (c) 2009 Markus Becker
 * Config-Datei fuer tog.c
 * --> Konstanten
 * --> Portverwendung
 * --> Datentypen
 * --> Makros
 */

#ifndef F_CPU
#warning "F_CPU war noch nicht definiert und wird mit 1 MHz angenommen"
#define F_CPU 1000000UL // 1 MHz interner Clock
#endif

// Zeitkonstanten (in ms)
#define T_HEIZ 				80		// Heizzeit							#
#define T_TEMP_HALB 		20		// Halbe Temperaturzeit				#
#define MIN_TEMP_H			13
#define MAX_TEMP_H			41
#define T_COOL				700		// Kuehlzeit						#
#define MIN_COOL			370
#define MAX_COOL			750
#define T_STARTUP 			120		// High bei U an
#define T_SYNC				100		// tsync vgl. LAH
#define ANZ_SU_TEMPS		21		// Anzahl Tempausgaben im Startup	#
#define T_SU_TEMPS			880		// Zeit für Tempausgaben im Startup

#define FAKTOR 				1.15	// T_Ref = FAKTOR * T_Temp
#define MAX_ADC				1024 	// 2 ^ 10 da 10-Bit Aufloesung

// # == wird nicht mehr verwendet

// Timer
#define CNT_START 0xD545			// Timer 1 vor / nachladen --> OVF-ISR alle 700 ms
#define F_TIMER 15.625				// Timer-Freq = CPU-Freq / Prescaler in 1/ms
#define TIME_MAX 0xFFFF				// Max.Wert des 16-Bit Timers


// Ports:
#define OUT 	PD5
#define LED1	PD5
#define LED2 	PD6
#define TAST1 	PD2
#define TAST2	PD3
#define SUMMER 	PD7

#define TEMP_POT PC0
#define COOL_POT PC1

// Datentypen
#define ubyte uint8_t
#define ushort uint16_t

// Makros:
// Wg. High/Low Invertierung
#define HIGH(pin) (PORTD &= ~(1 << pin))
#define LOW(pin) (PORTD |= (1 << pin))



