#include "lib.h"
#include "config.h"


/* =================================================================
 * 					TemperaturOelGeber - Simulation
 * 							  Version 1.3
 * (c) Copyright 2009 by Markus Becker, markus.becker@gmx-topmail.de
 * =================================================================
 * Wichtig fuer die Funktion des delay-Macros: Beim Kompilieren 
 * muss Optimierung aktiviert sein, also am besten avr-gcc [...] -Os
 * =================================================================
 * basierend auf v1.0; incl. ADC einlesen und Zeiten aendern 
 * =================================================================
 *                             History:
 * # Aenderungen ggue. 1.0
 * 		- konsistente Variablennamen (Zeiten: t_*)
 * 		- Anzahl der Tempausgaben im Startup unterschiedlich
 * 			--> Einhaltung der SU-Zeit von 1000 ms
 * # Aenderungen ggue. 1.1
 * 		- Verzicht auf t_ref durch Berechnung in ISR und direktes
 *		  Schreiben in t_tmp 
 *		- Angepasste Temperaturkonstanten (aus Signal-Spec)
 * # Aenderungen ggue. 1.2
 * 		- Timer im CTC-Mode
 * =================================================================
 * Offen: 	# v1.3 ist noch nicht getestet
 * ===============================================================*/

// Interrupt Service Routine
ISR (TIMER1_COMPA_vect) {
	//TCNT1 = cnt;	// Nachladen
	OCR1A = cnt; 	//
	// Heizzeit + Temp.zeit
	high_out (t_heiz);
	low_out (t_tmp);
	high_out (t_tmp);
	
	

	if (t_tmp == t_temp) {
	// Temp.zeit <==> Referenzzeit
		t_tmp = t_temp * FAKTOR;
		
	}
	else {
		adapt_times ();
	}
	
	
	
	
}


int main (void) {
	init ();
	startup ();
	
	// Mainloop:
	while(1) { 
		;
	}

	return 0;
}
